IT: OTS (China) - 0 [ Bug #245

UPS tracking function doesn't work in OTS
01/09/2023 01:43 PM - Xihua Fan

Status: oo0 Start date: 01/10/2023
Priority: aa Due date: 01/10/2023
Assignee: Xihua Fan % Done: 100%
Category: Estimated time: 8.00 hours
Target version: v3.0 Spent time: 8.00 hours
Description

Task Details

1. Andy requirement: l00osTI0000000uPsOO0000000uPsOOOOOOOODODODDDTOD van@redbluetrading.com [

upPs APl 00 0000
Input
e Claim from Andy
Output
* Report and Solution

Others

History

#1 - 02/13/2023 01:30 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 0 to 100

Outputl 2023/2/130

000uspPOONOD stomas@ups.com0000000

Van:

0ups tracking APIDDDDDDDDDDDDDDDDDDDDDDRequestDResponseDDDDDDDDDD
doooo0oooooo0vandvan@redoluetrading.com0000

URLL https://onlinetools.ups.com/ups.app/xml/Track

Requestl]

<?xml version="1.0"?>

<AccessRequest xml:lang="en-US">
<AccessLicenseNumber>1CEOBDA3653B6133</AccessLicenseNumber>
<Userld>v533v8api</Userld>

<Password>w4u0xHg2</Password>

</AccessRequest>

<?xml version="1.0"?>
&lt; TrackRequest xml:lang="en-US"&gt;
&1t;Requesté&gt;
&lt; TransactionReference/&gt;
&1lt;RequestAction&gt; Track&lt; /RequestAction&gt;
&1lt;RequestOption&gt; 7&1t; /RequestOption&gt;
&1t; /Requests&qgt;
&1lt; TrackingNumberé&gt; 12V533v80492820346&1t; /TrackingNumbers&gt;
&1lt; /TrackRequest&gt;

Response:

<?xml version="1.0"?>

<TrackResponse>

<Response>
<ResponseStatusCode>0</ResponseStatusCode>
<ResponseStatusDescription>Failure</ResponseStatusDescription>
<Error>

<ErrorSeverity>Hard</ErrorSeverity>
<ErrorCode>250002</ErrorCode>

<ErrorDescription>Invalid Authentication Information.</ErrorDescription>
</Error>

</Response>

</TrackResponse>

stomas:

<Userld>v533v8api</Userld>

<Password>w4u0xHg2</Password>

000000user id0000000000D
0000000 ADCD9DF0A2900AD5
000 12 000000000000000000000000DD000 30 00DDOOOOOODDD

00000  2024/02/11

goooo

0000v533v8apil 100000 passwordl access_key

// old:

ups_username = v533v8api
ups_password = w4uOxHg2
ups_access_key = 1CEOBDA3653B6133
ups_test_mode = false

// new:

ups_username = v533v8api
ups_password = ups.12345678
ups_access_key = ADCD9DFO0A2900ADS
ups_test_mode = false

#2 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0
